概述
API授權
登入API
日記API
相簿API
相片API
地標API
地標API
廣告API(new)
取得某分類地標列表
  • REST Method: GET
  • 使用者是否需要先登入:否
  • Request參數
    • func=getCategoryPOIList
    • category-enum(1,2,3,4,5)
      地標分類。
      • 1 : 溫柔鄉
      • 2 : 好康鄉
      • 3 : 私の鄉
      • 4 : 萬家鄉
      • 5 : 尖叫鄉
  • 回傳資料(若成功)
    • status=SUCCESS
    • POIList- array of POI
      該分類之地標列表。
      • POI
        • POIID
          地標編號。
        • name
          地標名稱。
HTTP Protocol範例: GET /API.php HTTP/1.1 Accept: */* Content-Type: application/x-www-form-urlencoded User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; zh-TW; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14 Host: www.atlaspost.com Content-Length: 140 func=getCategoryPOIList&category=2&key=77c34bb5f07dd3c4fb5d70030e4c4878&ts=1208853297&sig=af8d6ad939bbf6d44a69f702934e6e17&responseFormat=XML 回傳資料(若成功)範例: <?xml version="1.0" encoding="UTF-8"?> <response> <status>SUCCESS</status> <POIList> <POI1> <POIID>75</POIID> <name>《讀書好天后》</name> </POI1> <POI2> <POIID>72</POIID> <name>參觀公主的家</name> </POI2> </POIList> </response>
讀取地標
  • REST Method: GET
  • 使用者是否需要先登入:否
  • Request參數
    • func=getPOI
    • POIID
      要讀取的地標編號。
  • 回傳資料(若成功)
    • status=SUCCESS
    • name
      地標名稱。
    • category-enum(1,2,3,4,5)
      地標分類。
      • 1 : 溫柔鄉
      • 2 : 好康鄉
      • 3 : 私の鄉
      • 4 : 萬家鄉
      • 5 : 尖叫鄉
    • Location
      • lat
        地標所在緯度。
      • lng
        地標所在經度。
    • ownerName
      地標擁有者暱稱。
    • ownerIcon
      地標擁有者頭像圖片位址。
    • updateDate
      最近更新時間。
      • year
      • month
      • day
    • score
      地標推薦分數。
    • photos-(optional), array of photo
      地標內含相片列表。
      • photo
        • photo
          相片位址。
        • description
          相片描述。
    • comments-(optional), array of comment
      回應列表。
      • comment
        • time
          回應時間。
        • commenterName
          回應者暱稱。
        • commenterIcon
          回應者頭像位址。
        • comment
          回應內容。
        • authorReply
          地標發表者的回覆
          • time
            回覆時間。
          • reply
            回覆內容。
  • 回傳資料(若失敗)
    • status=FAILED
    • info
HTTP Protocol範例: GET /API.php HTTP/1.1 Accept: */* Content-Type: application/x-www-form-urlencoded User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; zh-TW; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14 Host: www.atlaspost.com Content-Length: 128 func=getPOI&POIID=72&key=77c34bb5f07dd3c4fb5d70030e4c4878&ts=1208853297&sig=af8d6ad939bbf6d44a69f702934e6e17&responseFormat=XML 回傳資料(若成功)範例: <?xml version="1.0" encoding="UTF-8"?> <response> <status>SUCCESS</status> <name>參觀公主的家</name> <category>2</category> <ownerName>RUNNER99</ownerName> <ownerIcon /> <Location> <lat>25.05</lat> <lng>121.51</lng> </Location> <updateDate> <year>2008</year> <month>06</month> <day>30</day> </updateDate> <score>2</score> <photos> <photo1> <photoPath>http://www.atlaspost.com/POIimages/61628/72_normal_fb963.jpg</photoPath> <description>下午三點,我的王子怎麼還沒來...</description> </photo1> <photo2> <photoPath>http://www.atlaspost.com/POIimages/61628/72_normal_c22f3.jpg</photoPath> <description>鈴~~電話來了...哎呀,指甲油沾到了</description> </photo2> <photo3> <photoPath>http://www.atlaspost.com/POIimages/61628/72_normal_b15b8.jpg</photoPath> <description>出門約會去!公主的耳環只要三十元唷!</description> </photo3> <photo4> <photoPath>http://www.atlaspost.com/POIimages/61628/72_normal_e5841.jpg</photoPath> <description>原來這裡是公主的家</description> </photo4> <photo5> <photoPath>http://www.atlaspost.com/POIimages/61628/72_normal_3af10.jpg</photoPath> <description>LOGO</description> </photo5> </photos> </response>

版權所有 © 2008 渥奇數位資訊 | 法律顧問: 益思科技法律事務所